Subject: [pim] [Technical Errata Reported] RFC3973 (3271)

From: RFC Errata System <[email-masked]>
Date: Thu, 28 Jun 2012 13:43:22 -0700 (PDT)

The following errata report has been submitted for RFC3973,
"Protocol Independent Multicast - Dense Mode (PIM-DM): Protocol Specification (Revised)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3973&eid=3271

--------------------------------------
Type: Technical
Reported by: Joseph Weinstein <[email-masked]>

Section: 4.5.1

Original Text
-------------
if StateRefreshCapable(I) == TRUE
         set PT(S,G) to largest active holdtime read from a Prune
         message accepted on I;

Corrected Text
--------------
if StateRefreshCapable(I) == TRUE
         set PT(S,G) to the Holdtime from an active Prune received on
         interface I. The Holdtime used SHOULD be the largest active one
         but MAY be the most recently received active Prune Holdtime.

Notes
-----
It is not clear what is meant by the "largest active holdtime", and in any event sec. 4.4.2.3 specifies a slightly different rule:

     Send State Refresh(S,G) out interface I
       The router has refreshed the Prune(S,G) state on interface I.
       The router MUST reset the Prune Timer (PT(S,G,I)) to the Holdtime
       from an active Prune received on interface I.  The Holdtime used
       SHOULD be the largest active one but MAY be the most recently
       received active Prune Holdtime.

The concept of an "active Prune" is not defined in this RFC. Perhaps the intent is that an "active Prune" is any prune received since the interface last entered the Pruned state?

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3973 ( draft-ietf-pim-dm-new-v2-05)
--------------------------------------
Title               : Protocol Independent Multicast - Dense Mode (PIM-DM): Protocol Specification (Revised)
Publication Date    : January 2005
Author(s)           : A. Adams, J. Nicholas, W. Siadak
Category            : EXPERIMENTAL
Source              : protocol independent multicast
Area                : Routing
Stream              : IETF
Verifying Party     : IESG